Attribute VB_Name = "modWardenAnubis"
Option Explicit

Public Wardens() As clsWardenNew
Public LastIndex As Integer

Public Sub SendPacket(ByVal ptrPacket As Long, ByVal dwSize As Long)
    Call Wardens(LastIndex).SendPacket(ptrPacket, dwSize)
End Sub
Public Function CheckModule(ByVal ptrMod As Long, ByVal ptrKey As Long) As Long
    CheckModule = 1
End Function
Public Function ModuleLoad(ByVal ptrRC4Key As Long, ByVal pModule As Long, ByVal dwModSize As Long) As Long
    ModuleLoad = 1
End Function
Public Function AllocateMem(ByVal dwSize As Long) As Long
    AllocateMem = Wardens(LastIndex).malloc(dwSize)
End Function
Public Sub FreeMemory(ByVal dwMemory As Long)
    Call Wardens(LastIndex).free(dwMemory)
End Sub
Public Function SetRC4Data(ByVal lpKeys As Long, ByVal dwSize As Long) As Long
    
End Function
Public Function GetRC4Data(ByVal lpBuffer As Long, ByRef dwSize As Long) As Long
    GetRC4Data = Wardens(LastIndex).GetRC4Data(lpBuffer, dwSize)
End Function
